[Rainmeter]
Update=1000
AccurateText=1
DynamicWindowSize=1
BackgroundMode=2
SolidColor=0,0,0,1

[Metadata]
Name=ASTRO Weather
Author=xxenium
Information=Current weather conditions + 5-day forecast, current sun position, current moon position
Version=WEATHER EXTENDED 3
License=Creative Commons Attribution-Non-Commercial-Share Alike 3.0


; © 2020 by xxenium


[Variables]
@Include=#@#Variables.inc
@Include2=#@#RegExp.inc
@Include3=#@#Measures.inc

size=#SizeValue#







;==============Meters=============



[MeterFWDay1]
Meter=String
MeasureName=MeasureDayPartDay1
MeasureName2=MeasureDay1
X=(#size#*287)
Y=(#size#*25)
W=(#size#*100)
H=(#size#*70)
FontSize=(#size#*20)
FontColor=#FontColor#
StringStyle=normal
StringEffect=SHADOW
FontFace=#FontFace2#
StringAlign=center
FontEffectColor=#FontEffectColor#
AntiAlias=1
ClipString=1
Text=%1#CRLF#%2
InlineSetting=Color | #FontColor2#
InlinePattern=.*#CRLF#(.*)
StringCase=Proper

[MeterFIcon1]
MeasureName=MeasureDailyIconDay1
Meter=IMAGE
ImagePath=#@#Icons
X=(#size#*262)
Y=(#size#*95)
W=(#size#*50)
H=(#size#*50)
ToolTipText=[MeasureDailyCondDay1]
DynamicVariables=1

[MeterFT1Vert]
Meter=String
MeasureName=MeasureTempMax1Vert
MeasureName2=MeasureTempMin1
X=(#size#*289)
Y=(#size#*153)
W=(#size#*80)
H=(#size#*60)
FontSize=(#size#*20)
FontColor=#FontColor#
StringStyle=normal
StringEffect=SHADOW
FontFace=#FontFace2#
StringAlign=center
FontEffectColor=#FontEffectColor#
AntiAlias=1
Text=%1°#CRLF#%2°
InlineSetting=Color | #FontColor2#
InlinePattern=.*#CRLF#(.*)

[MeterFWDay2]
Meter=String
MeasureName=MeasureDay2
X=(#size#*382)
Y=(#size#*25)
W=(#size#*90)
H=(#size#*70)
FontSize=(#size#*20)
FontColor=#FontColor#
StringStyle=normal
StringEffect=SHADOW
FontFace=#FontFace2#
StringAlign=center
FontEffectColor=#FontEffectColor#
AntiAlias=1
ClipString=1
InlineSetting=Color | #FontColor2#
InlinePattern=.*#CRLF#(.*)
StringCase=Proper

[MeterFIcon2]
MeasureName=MeasureDailyIconDay2
Meter=IMAGE
ImagePath=#@#Icons
X=(#size#*357)
Y=(#size#*95)
W=(#size#*50)
H=(#size#*50)
ToolTipText=[MeasureDailyCondDay2]
DynamicVariables=1

[MeterFT2]
Meter=String
MeasureName=MeasureTempMax2
MeasureName2=MeasureTempMin2
X=(#size#*384)
Y=(#size#*153)
W=(#size#*80)
H=(#size#*60)
FontSize=(#size#*20)
FontColor=#FontColor#
StringStyle=normal
StringEffect=SHADOW
FontFace=#FontFace2#
StringAlign=center
FontEffectColor=#FontEffectColor#
AntiAlias=1
Text=%1°#CRLF#%2°
InlineSetting=Color | #FontColor2#
InlinePattern=.*#CRLF#(.*)

[MeterFWDay3]
Meter=String
MeasureName=MeasureDay3
X=(#size#*477)
Y=(#size#*25)
W=(#size#*90)
H=(#size#*70)
FontSize=(#size#*20)
FontColor=#FontColor#
StringStyle=normal
StringEffect=SHADOW
FontFace=#FontFace2#
StringAlign=center
FontEffectColor=#FontEffectColor#
AntiAlias=1
ClipString=1
InlineSetting=Color | #FontColor2#
InlinePattern=.*#CRLF#(.*)
StringCase=Proper

[MeterFIcon3]
MeasureName=MeasureDailyIconDay3
Meter=IMAGE
ImagePath=#@#Icons
X=(#size#*452)
Y=(#size#*95)
W=(#size#*50)
H=(#size#*50)
ToolTipText=[MeasureDailyCondDay3]
DynamicVariables=1

[MeterFT3]
Meter=String
MeasureName=MeasureTempMax3
MeasureName2=MeasureTempMin3
X=(#size#*479)
Y=(#size#*153)
W=(#size#*80)
H=(#size#*60)
FontSize=(#size#*20)
FontColor=#FontColor#
StringStyle=normal
StringEffect=SHADOW
FontFace=#FontFace2#
StringAlign=center
FontEffectColor=#FontEffectColor#
AntiAlias=1
Text=%1°#CRLF#%2°
InlineSetting=Color | #FontColor2#
InlinePattern=.*#CRLF#(.*)

[MeterFWDay4]
Meter=String
MeasureName=MeasureDay4
X=(#size#*572)
Y=(#size#*25)
W=(#size#*90)
H=(#size#*70)
FontSize=(#size#*20)
FontColor=#FontColor#
StringStyle=normal
StringEffect=SHADOW
FontFace=#FontFace2#
StringAlign=center
FontEffectColor=#FontEffectColor#
AntiAlias=1
ClipString=1
InlineSetting=Color | #FontColor2#
InlinePattern=.*#CRLF#(.*)
StringCase=Proper

[MeterFIcon4]
MeasureName=MeasureDailyIconDay4
Meter=IMAGE
ImagePath=#@#Icons
X=(#size#*547)
Y=(#size#*95)
W=(#size#*50)
H=(#size#*50)
ToolTipText=[MeasureDailyCondDay4]
DynamicVariables=1

[MeterFT4]
Meter=String
MeasureName=MeasureTempMax4
MeasureName2=MeasureTempMin4
X=(#size#*574)
Y=(#size#*153)
W=(#size#*80)
H=(#size#*60)
FontSize=(#size#*20)
FontColor=#FontColor#
StringStyle=normal
StringEffect=SHADOW
FontFace=#FontFace2#
StringAlign=center
FontEffectColor=#FontEffectColor#
AntiAlias=1
Text=%1°#CRLF#%2°
InlineSetting=Color | #FontColor2#
InlinePattern=.*#CRLF#(.*)

[MeterFWDay5]
Meter=String
MeasureName=MeasureDay5
X=(#size#*667)
Y=(#size#*25)
W=(#size#*90)
H=(#size#*70)
FontSize=(#size#*20)
FontColor=#FontColor#
StringStyle=normal
StringEffect=SHADOW
FontFace=#FontFace2#
StringAlign=center
FontEffectColor=#FontEffectColor#
AntiAlias=1
ClipString=1
InlineSetting=Color | #FontColor2#
InlinePattern=.*#CRLF#(.*)
StringCase=Proper

[MeterFIcon5]
MeasureName=MeasureDailyIconDay5
Meter=IMAGE
ImagePath=#@#Icons
X=(#size#*642)
Y=(#size#*95)
W=(#size#*50)
H=(#size#*50)
ToolTipText=[MeasureDailyCondDay5]
DynamicVariables=1

[MeterFT5]
Meter=String
MeasureName=MeasureTempMax5
MeasureName2=MeasureTempMin5
X=(#size#*669)
Y=(#size#*153)
W=(#size#*80)
H=(#size#*60)
FontSize=(#size#*20)
FontColor=#FontColor#
StringStyle=normal
StringEffect=SHADOW
FontFace=#FontFace2#
StringAlign=center
FontEffectColor=#FontEffectColor#
AntiAlias=1
Text=%1°#CRLF#%2°
InlineSetting=Color | #FontColor2#
InlinePattern=.*#CRLF#(.*)






; © 2020 by xxenium



